Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Cannot handle 1.9 lambdas with 1.9 lambdas as default arguments #106

Closed
whitequark opened this Issue March 22, 2013 · 1 comment

2 participants

Peter Zotov Ryan Davis
Peter Zotov

Demonstrated by:

>> p Ruby19Parser.new.parse("-> a=->{} {}")'
/usr/lib/ruby/vendor_ruby/racc/parser.rb:347:in `on_error': (string):1 :: parse error on value "{" (tLCURLY) (Racc::ParseError)
>> -> a=->{} {}
=> #<Proc:0x00000001c66d98@(pry):1 (lambda)>
Ryan Davis zenspider closed this July 08, 2013
Ryan Davis
Owner

Fixed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.